Unibox
Get unibox messages from a thread
Returns paginated unibox messages for a thread of your workspace, oldest first by default. Needs the inbox:read scope. Only messages ReplySparrow has synced are returned.
get
https://app.replysparrow.com/api/v1/unibox/threads/{thread_id}/messagesAuthorizations
Path Parameters
Thread id
Query Parameters
Response
application/jsonPaginated unibox messages retrieved successfully.
Items on this page
Number of items matching the filters
Page that was requested, starting at 1
Page size that was requested
Number of pages for these filters
Ctrl+I
Get unibox messages from a thread
curl --request GET \ --url https://app.replysparrow.com/api/v1/unibox/threads/string/messages \ --header 'Authorization: Bearer <token>'{ "data": [ { "id": "m_9a8b7c", "thread_id": "c1d2e3f4-0000-4a51-9d0e-2b6f8f6d9c11", "seat_id": "acc_42", "sender_full_name": "Grace Hopper", "sender_is_self": false, "content": "Sounds good, let's talk Tuesday", "attachments": [], "delivered_at": "2026-10-23T15:04:05.000Z", "created_at": "2026-10-23T15:04:05.000Z" } ], "total": 1, "page": 1, "limit": 50, "totalPages": 1}